package com.zcloud.service.hiddenDangerCheckStandard.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.check.CheckUserMapper;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.CustomCheckUserMapper;
import com.zcloud.service.hiddenDangerCheckStandard.CustomCheckUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-25
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CustomCheckUserServiceImpl implements CustomCheckUserService {

	@Autowired
	private CustomCheckUserMapper customCheckUserMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		customCheckUserMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		customCheckUserMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		customCheckUserMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return customCheckUserMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return customCheckUserMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return customCheckUserMapper.findById(pd);
	}

	/**查看检查清单检查人
	 * @param pd
	 * @throws Exception
	 */
	public PageData getCheckUser(PageData pd)throws Exception{
		return customCheckUserMapper.getCheckUser(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		customCheckUserMapper.deleteAll(ArrayDATA_IDS);
	}

	/**查询人员检查数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countCheByUser(PageData pd)throws Exception{
		return customCheckUserMapper.countCheByUser(pd);
	}

	/**绩效得分
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getDeptExamine(PageData pd)throws Exception{
		return customCheckUserMapper.getDeptExamine(pd);
	}
	public List<PageData> getUserExamine(PageData pd)throws Exception{
		return customCheckUserMapper.getUserExamine(pd);
	}
}

